(function ($) {
  Drupal.behaviors.jfu = {
    attach: function(context, settings) {
      /* ACCORDION */
      $('.accordion-item--title-container').unbind('click');
      $('.accordion-item--title-container').click(function () {
        $(this).removeClass('is-active');

        if (!(false == $(this).next().is(':visible'))) {
          $(this).addClass('is-active');
        }   
        $(this).next().slideToggle(300);
      });

      /* GALLERY */
      if ($('.gallery').hasClass('gallery-component')) {
        $(".gallery-item--image a").colorbox({rel:'gal'});
      };

      /* SCHEDULE */
      $('.schedule-item--program-item--extend .schedule-item--item-flag--extend').unbind('click');
      $('.schedule-item--program-item--extend .schedule-item--item-flag--extend').click(function () {
        $(this).parents('.schedule-item--program-item--extend').removeClass('is-active');

        if ((false == $(this).parents('.schedule-item--program-item--extend').find('.schedule-item--item-info .schedule-item--item--full-info').is(':visible'))) {
          $(this).parents('.schedule-item--program-item--extend').addClass('is-active');
        }   

        $(this).parents('.schedule-item--program-item--extend').find('.schedule-item--item-info .schedule-item--item--full-info').slideToggle(300);
      });

      /*SLIDESHOW*/
      $('.slideshow-slick').not('.slick-initialized').slick({
        arrows: true, 
        dots: true,
        speed: 300,
        slidesToShow: 1,
      });


      /* TABS */
      $('.tab-item--tab').click(function() {
        $('.tab-item--tab').removeClass('is-active');
        $(this).addClass('is-active');
        var itemId = $(this).attr('data-tab-item');

        $('.tab-item--program--wrapper').removeClass('is-active');
        $('.tab-item--program--wrapper.'+ itemId).addClass('is-active');
        
      });


    }
  };
}(jQuery));
